Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

CHG: [droid] set minimum API to 14 (ICS) #2467

Merged
merged 1 commit into from

3 participants

Chris Browet Martijn Kaijser Cory Fields
Chris Browet
Collaborator

Preparation for libstagefright & joysticks

Cory Fields theuni was assigned
Martijn Kaijser

Perhaps clarify in the readme from with Android this will work.

Chris Browet
Collaborator

Indeed. But I'm not sure how @theuni wants to merge the "depends/README" and the "docs/README.android"

Cory Fields
Owner

@koying Probably no merging, but i'm sure it needs a cleaning.

This looks fine for April.

Cory Fields
Owner

Actually, please update depends/configure.in as well to default to 14.

Martijn Kaijser MartijnKaijser merged commit 4587fed into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Mar 20, 2013
  1. Chris Browet
This page is out of date. Refresh to see the latest.
2  docs/README.android
View
@@ -93,7 +93,7 @@ specifies where the resulting toolchain should be installed (your choice).
# ls platforms
# cd build/tools
# ./make-standalone-toolchain.sh --ndk-dir=../../ \
- --install-dir=<android-toolchain>/android-9 --platform=android-9
+ --install-dir=<android-toolchain>/android-14 --platform=android-14
ATTENTION FOR X86 BUILDS - THIS DOES NOT APPLY TO 99% OF BUILDS:
If you want to build for the x86 platform there is a flaw in the mentioned
2  tools/android/packaging/xbmc/AndroidManifest.xml
View
@@ -6,7 +6,7 @@
android:versionName="13.0-ALPHA2" >
<!-- This is the platform API where NativeActivity was introduced. -->
- <uses-sdk android:minSdkVersion="9" />
+ <uses-sdk android:minSdkVersion="14" />
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.INTERNET" />
2  tools/depends/README
View
@@ -13,7 +13,7 @@ IOS:
./configure --host=arm-apple-darwin --with-sdk=4.3 --prefix=home/foo/xbmc-deps
Android:
- ./configure --with-toolchain=/opt/toolchains/android-ndk-r7-crystax-5.beta3-toolchain --prefix=/opt/xbmc-deps --host=arm-linux-androideabi
+ ./configure --with-toolchain=/opt/toolchains/android-ndk-r7-crystax-5.beta3-toolchain-14 --prefix=/opt/xbmc-deps --host=arm-linux-androideabi --with-sdk-path=/opt/android-sdk --with-ndk=/opt/android-ndk-r7-crystax-5.beta3 --with-sdk=android-14 --with-tarballs=/tmp/xbmc-android
Linux:
ARM toolchain (codesourcery/lenaro/etc)
6 tools/depends/configure.in
View
@@ -32,7 +32,7 @@ AC_ARG_WITH([sdk-path],
AC_ARG_WITH([sdk],
[AS_HELP_STRING([--with-sdk],
- [spcify sdk platform version (optional for android). default is android-10])],
+ [spcify sdk platform version (optional for android). default is android-14])],
[use_sdk=$withval])
AC_ARG_ENABLE([gplv3],
@@ -88,7 +88,7 @@ case $host in
if test "x$use_cpu" = "xarmeabi-v7a"; then
platform_cflags+=" -march=armv7-a -mtune=cortex-a9 -mfloat-abi=softfp -mfpu=neon "
fi
- use_sdk="${use_sdk:-android-10}"
+ use_sdk="${use_sdk:-android-14}"
deps_dir="$use_host-$use_sdk"
platform_cflags+=" -DANDROID -Os -fexceptions"
platform_cxxflags="$platform_cflags -frtti"
@@ -105,7 +105,7 @@ case $host in
if test "x$use_cpu" = "xauto"; then
use_cpu=$host_cpu
fi
- use_sdk="${use_sdk:-android-10}"
+ use_sdk="${use_sdk:-android-14}"
deps_dir="$use_host-$use_sdk"
platform_cflags="-DANDROID -Os -fexceptions"
platform_cxxflags="$platform_cflags -frtti"
Something went wrong with that request. Please try again.